Bug 1010334 - Review Request: python-jenkinsapi - A Python API for accessing resources on a Jenkins(CI) server
Review Request: python-jenkinsapi - A Python API for accessing resources on a...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 10:22 EDT by Praveen Kumar
Modified: 2013-11-10 02:09 EST (History)
4 users (show)

See Also:
Fixed In Version: python-jenkinsapi-0.2.16-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-03 00:31:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2013-09-20 10:22:08 EDT
Spec URL: http://kumarpraveen.fedorapeople.org/python-jenkinsapi/python-jenkinsapi.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/python-jenkinsapi/python-jenkinsapi-0.2.13-1.20130920gitff0dcf.fc19.src.rpm
Description: 

This library can help you:-

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * username/password auth support for jenkins instances with auth turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views

Fedora Account System Username:kumarpraveen
Comment 1 Christopher Meng 2013-09-21 22:22:00 EDT
Please update to the latest version.

I STRONGLY recommend you using pypi:

https://pypi.python.org/pypi/jenkinsapi/0.2.14

This will simplify the spec and your work.

And,

1. Remove rm -rf $RPM_BUILD_ROOT

2. No need to add a comment "# For noarch packages: sitelib".
Comment 2 Praveen Kumar 2013-09-22 01:27:16 EDT
(In reply to Christopher Meng from comment #1)
> Please update to the latest version.
> 
> I STRONGLY recommend you using pypi:
> 
> https://pypi.python.org/pypi/jenkinsapi/0.2.14
Ah, It was update yesterday but still don't have licence info which github source have, i mailed to upstream to add it to pypi tarball. will wait for their reply.
> 
> This will simplify the spec and your work.
> 
> And,
> 
> 1. Remove rm -rf $RPM_BUILD_ROOT
Done
> 
> 2. No need to add a comment "# For noarch packages: sitelib".
Done
Comment 3 Salim Fadhley 2013-09-27 20:14:03 EDT
Hi Praveen,

The project is MIT Licensed. You can see the full text of the MIT license in the pkginfo output. 

I have just made a new release to pypi with additional license information.

I'm curious about why Fedora people would want this license to be part of the OS? Surely you'd just install it from PyPi. Let me know what it is that you are trying to achieve and I will do my best to help.

Sal
Comment 4 Salim Fadhley 2013-09-27 20:15:33 EDT
One more question - does Fedora have a process for keeping packages like this up to date?

We push about one release every month - it's still under very active development and not 'stable', hence my previous comment that pypi is a more sensible option than any os-bound package manager.
Comment 5 Praveen Kumar 2013-09-27 22:19:57 EDT
(In reply to Salim Fadhley from comment #4)
> One more question - does Fedora have a process for keeping packages like
> this up to date?
Yes, each source release will be updated to fedora repo, its package maintainer responsibility to do that.
> 
> We push about one release every month - it's still under very active
> development and not 'stable', hence my previous comment that pypi is a more
> sensible option than any os-bound package manager.
Yes pypi is really a good option but because now I use jenkinsapi daily so I thought it is a good idea to package it. I can maintain it's regular release with fedora.
Comment 6 Christopher Meng 2013-09-28 10:22:33 EDT
When you finish building, tell me the URLs.

Thanks.
Comment 7 Christopher Meng 2013-10-17 23:45:48 EDT
ping after 3 weeks.
Comment 8 Praveen Kumar 2013-10-19 00:41:30 EDT
Hi Meng,
Pypi source doesn't contain License file but it specify the License info, If that doesn't create issue then I made required changes.

SPEC: http://kumarpraveen.fedorapeople.org/python-jenkinsapi/python-jenkinsapi.spec
SRPM:http://kumarpraveen.fedorapeople.org/python-jenkinsapi/python-jenkinsapi-0.2.16-1.fc19.src.rpm
Comment 9 Salim Fadhley 2013-10-19 12:45:13 EDT
It looks like you don't need any more changes to JenkinsAPI. I'm going to stop watching this discussion.

Sal
Comment 10 Praveen Kumar 2013-10-19 13:34:05 EDT
Hi Salim,

It's alright if you don't want to follow this discussion, we can mail you if some bug/feature come up. Like currently it will be good if license file is included in pypi tarball, it's in github source.
Comment 11 Christopher Meng 2013-10-19 21:58:18 EDT
(In reply to Praveen Kumar from comment #10)
> Hi Salim,
> 
> It's alright if you don't want to follow this discussion, we can mail you if
> some bug/feature come up. Like currently it will be good if license file is
> included in pypi tarball, it's in github source.

I hope you can reupload the same versioned tarball with a license file. Then I will review this ASAP.
Comment 12 Salim Fadhley 2013-10-20 03:58:49 EDT
I am not going to do that.

If you need an additional license file please feel free to make a git pull request with your required change.


As I previously stated - the entire license text is already in the file - you can see it if you use pkg_info.
Comment 13 Ankur Sinha (FranciscoD) 2013-10-20 07:57:46 EDT
(In reply to Christopher Meng from comment #11)
> (In reply to Praveen Kumar from comment #10)
> > Hi Salim,
> > 
> > It's alright if you don't want to follow this discussion, we can mail you if
> > some bug/feature come up. Like currently it will be good if license file is
> > included in pypi tarball, it's in github source.
> 
> I hope you can reupload the same versioned tarball with a license file. Then
> I will review this ASAP.

The license file is *not* mandatory. If the code itself clearly specifies what license it's under, that's good enough. This isn't a blocker for review.
Comment 14 Christopher Meng 2013-10-20 10:08:00 EDT
(In reply to Ankur Sinha (FranciscoD) from comment #13)
> (In reply to Christopher Meng from comment #11)
> > (In reply to Praveen Kumar from comment #10)
> > > Hi Salim,
> > > 
> > > It's alright if you don't want to follow this discussion, we can mail you if
> > > some bug/feature come up. Like currently it will be good if license file is
> > > included in pypi tarball, it's in github source.
> > 
> > I hope you can reupload the same versioned tarball with a license file. Then
> > I will review this ASAP.
> 
> The license file is *not* mandatory. If the code itself clearly specifies
> what license it's under, that's good enough. This isn't a blocker for review.

HAVE I SAID THAT IT'S A BLOCKER?
Comment 15 Ankur Sinha (FranciscoD) 2013-10-20 10:46:40 EDT

(In reply to Christopher Meng from comment #14)
> (In reply to Ankur Sinha (FranciscoD) from comment #13)
> > (In reply to Christopher Meng from comment #11)
> > > (In reply to Praveen Kumar from comment #10)
> > > > Hi Salim,
> > > > 
> > > > It's alright if you don't want to follow this discussion, we can mail you if
> > > > some bug/feature come up. Like currently it will be good if license file is
> > > > included in pypi tarball, it's in github source.
> > > 
> > > I hope you can reupload the same versioned tarball with a license file. Then
> > > I will review this ASAP.

A needinfo flag with this sentence is excess stress on the point, and certainly indicates that you are waiting for upstream to upload a license file before proceeding with the review. If you weren't waiting for it, I would've expected you to proceed with the review at comment 8 itself. I'm sorry if I misunderstood you here.

> > 
> > The license file is *not* mandatory. If the code itself clearly specifies
> > what license it's under, that's good enough. This isn't a blocker for review.
> 
> HAVE I SAID THAT IT'S A BLOCKER?

I hope you are aware that using caps implies you're screaming. Are you? And if you are, why?

Enjoy the review,
Ankur
Comment 16 Christopher Meng 2013-10-20 22:18:29 EDT
PACKAGE APPROVED.

--------

1. First, as Salim Fadhley said, he would stop following this thread, so I lifted needinfo, tried to avoid speaking with air.

2. I emphasized that I never treated as blocker(of course this is not the first time), I hope MIT/ISC/BSD projects can include a separate license file but some of them are not willing to do that.

But this is not a problem. Okay.
Comment 17 Praveen Kumar 2013-10-24 08:17:06 EDT
New Package SCM Request
=======================
Package Name: python-jenkinsapi
Short Description: A Python API for accessing resources on a Jenkins(CI) server
Owners: kumarpraveen
Branches: f18 f19 f20
Comment 18 Gwyn Ciesla 2013-10-24 08:42:38 EDT
Git done (by process-git-requests).
Comment 19 Fedora Update System 2013-10-24 12:20:06 EDT
python-jenkinsapi-0.2.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-jenkinsapi-0.2.16-1.fc20
Comment 20 Fedora Update System 2013-10-24 12:29:03 EDT
python-jenkinsapi-0.2.16-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-jenkinsapi-0.2.16-1.fc19
Comment 21 Fedora Update System 2013-10-24 13:09:50 EDT
python-jenkinsapi-0.2.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-jenkinsapi-0.2.16-1.fc18
Comment 22 Fedora Update System 2013-10-24 21:50:18 EDT
python-jenkinsapi-0.2.16-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 23 Fedora Update System 2013-11-03 00:31:03 EDT
python-jenkinsapi-0.2.16-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 24 Fedora Update System 2013-11-03 00:31:38 EDT
python-jenkinsapi-0.2.16-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 25 Fedora Update System 2013-11-10 02:09:45 EST
python-jenkinsapi-0.2.16-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.